# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_ListOfExtendedString Class Reference

`#include <TDataStd_ListOfExtendedString.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_ListOfExtendedString ()
Standard_EXPORT void | Assign (const TDataStd_ListOfExtendedString &Other)
void | operator= (const TDataStd_ListOfExtendedString &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~TDataStd_ListOfExtendedString ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const TCollection_ExtendedString &I)
Standard_EXPORT void | Prepend (const TCollection_ExtendedString &I, TDataStd_ListIteratorOfListOfExtendedString &theIt)
Standard_EXPORT void | Prepend (TDataStd_ListOfExtendedString &Other)
Standard_EXPORT void | Append (const TCollection_ExtendedString &I)
Standard_EXPORT void | Append (const TCollection_ExtendedString &I, TDataStd_ListIteratorOfListOfExtendedString &theIt)
Standard_EXPORT void | Append (TDataStd_ListOfExtendedString &Other)
Standard_EXPORT TCollection_ExtendedString & | First () const
Standard_EXPORT TCollection_ExtendedString & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (TDataStd_ListIteratorOfListOfExtendedString &It)
Standard_EXPORT void | InsertBefore (const TCollection_ExtendedString &I, TDataStd_ListIteratorOfListOfExtendedString &It)
Standard_EXPORT void | InsertBefore (TDataStd_ListOfExtendedString &Other, TDataStd_ListIteratorOfListOfExtendedString &It)
Standard_EXPORT void | InsertAfter (const TCollection_ExtendedString &I, TDataStd_ListIteratorOfListOfExtendedString &It)
Standard_EXPORT void | InsertAfter (TDataStd_ListOfExtendedString &Other, TDataStd_ListIteratorOfListOfExtendedString &It)

## Private Member Functions

Standard_EXPORT | TDataStd_ListOfExtendedString (const TDataStd_ListOfExtendedString &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_ListOfExtendedString::TDataStd_ListOfExtendedString | ( |  | ) |

TDataStd_ListOfExtendedString::~TDataStd_ListOfExtendedString | ( |  | ) | `[inline]`

Standard_EXPORT TDataStd_ListOfExtendedString::TDataStd_ListOfExtendedString | ( | const TDataStd_ListOfExtendedString & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void TDataStd_ListOfExtendedString::Append | ( | TDataStd_ListOfExtendedString & | Other | ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::Append | ( | const TCollection_ExtendedString & | I,
|  | TDataStd_ListIteratorOfListOfExtendedString & | theIt
| ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::Append | ( | const TCollection_ExtendedString & | I | ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::Assign | ( | const TDataStd_ListOfExtendedString & | Other | ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer TDataStd_ListOfExtendedString::Extent | ( |  | ) | const

Standard_EXPORT TCollection_ExtendedString& TDataStd_ListOfExtendedString::First | ( |  | ) | const

Standard_EXPORT void TDataStd_ListOfExtendedString::InsertAfter | ( | TDataStd_ListOfExtendedString & | Other,
|  | TDataStd_ListIteratorOfListOfExtendedString & | It
| ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::InsertAfter | ( | const TCollection_ExtendedString & | I,
|  | TDataStd_ListIteratorOfListOfExtendedString & | It
| ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::InsertBefore | ( | TDataStd_ListOfExtendedString & | Other,
|  | TDataStd_ListIteratorOfListOfExtendedString & | It
| ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::InsertBefore | ( | const TCollection_ExtendedString & | I,
|  | TDataStd_ListIteratorOfListOfExtendedString & | It
| ) |

Standard_Boolean TDataStd_ListOfExtendedString::IsEmpty | ( |  | ) | const

Standard_EXPORT TCollection_ExtendedString& TDataStd_ListOfExtendedString::Last | ( |  | ) | const

void TDataStd_ListOfExtendedString::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_ListOfExtendedString::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_ListOfExtendedString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void TDataStd_ListOfExtendedString::operator= | ( | const TDataStd_ListOfExtendedString & | Other | ) | `[inline]`

Standard_EXPORT void TDataStd_ListOfExtendedString::Prepend | ( | TDataStd_ListOfExtendedString & | Other | ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::Prepend | ( | const TCollection_ExtendedString & | I,
|  | TDataStd_ListIteratorOfListOfExtendedString & | theIt
| ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::Prepend | ( | const TCollection_ExtendedString & | I | ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::Remove | ( | TDataStd_ListIteratorOfListOfExtendedString & | It | ) |

Standard_EXPORT void TDataStd_ListOfExtendedString::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address TDataStd_ListOfExtendedString::myFirst `[private]`

Standard_Address TDataStd_ListOfExtendedString::myLast `[private]`

The documentation for this class was generated from the following file:

- TDataStd_ListOfExtendedString.hxx